# Created by pyp2rpm-3.3.3
%global pypi_name afdko

# comment out if not pre release
#global prel	a0

#rel for bumping
%global rel	3
%global __requires_exclude ^python.*\\(.*\\[

Name:           python-%{pypi_name}
Version:        3.5.1
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Adobe Font Development Kit for OpenType
Group:          Development/Python
License:        Apache License, Version 2.0
URL:            https://github.com/adobe-type-tools/afdko
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}%{?prel}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(booleanoperations) >= 0.8.2
BuildRequires:  python3dist(cu2qu) >= 1.6.6
BuildRequires:  python3dist(defcon) >= 0.6.0
BuildRequires:  python3dist(fontmath)
BuildRequires:  python3dist(fonttools) >= 4.2.2
BuildRequires:  python3dist(lxml) >= 4.4.2
BuildRequires:  python3dist(mutatormath) >= 2.1.2
BuildRequires:  python3dist(psautohint) >= 2.0.0
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(tqdm) >= 4.48.2
BuildRequires:  python3dist(ufonormalizer) >= 0.3.6
BuildRequires:  python3dist(ufoprocessor)
BuildRequires:  python3dist(wheel)

#test
BuildRequires:   python3dist(unicodedata2)

%description
The AFDKO is a set of tools for building OpenType font files from PostScript and TrueType
font data.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(booleanoperations) >= 0.8.2
Requires:       python3dist(cu2qu) >= 1.6.6
Requires:       python3dist(defcon) >= 0.6.0
Requires:       python3dist(fontmath) >= 0.5.0
Requires:       python3dist(fonttools) >= 4.2.2
Requires:       python3dist(lxml) >= 4.4.2
Requires:       python3dist(mutatormath) >= 2.1.2
Requires:       python3dist(psautohint) >= 2.0.0
Requires:       python3dist(setuptools)
Requires:       python3dist(ufonormalizer) >= 0.3.6
Requires:       python3dist(ufoprocessor)

%description -n python3-%{pypi_name}
The AFDKO is a set of tools for building OpenType font files from PostScript and TrueType
font data.


%prep
%autosetup -n %{pypi_name}-%{version}%{?prel}

# Remove bundled egg-info
rm -rf python/*.egg-info

# relax deps
sed -i -e 's,\(ufoProcessor\).*<=,\1==,' requirements.txt

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{_bindir}/buildcff2vf
%{_bindir}/buildmasterotfs
%{_bindir}/charplot
%{_bindir}/checkoutlinesufo
%{_bindir}/comparefamily
%{_bindir}/detype1
%{_bindir}/digiplot
%{_bindir}/fontplot
%{_bindir}/fontplot2
%{_bindir}/fontsetplot
%{_bindir}/hintplot
%{_bindir}/makeinstancesufo
%{_bindir}/makeotf
%{_bindir}/makeotfexe
%{_bindir}/mergefonts
%{_bindir}/otc2otf
%{_bindir}/otf2otc
%{_bindir}/otf2ttf
%{_bindir}/rotatefont
%{_bindir}/sfntdiff
%{_bindir}/sfntedit
%{_bindir}/spot
%{_bindir}/ttxn
%{_bindir}/tx
%{_bindir}/type1
%{_bindir}/ttfcomponentizer
%{_bindir}/ttfdecomponentizer
%{_bindir}/waterfallplot
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}%{?prel}-py%{python3_version}.egg-info


%changelog
* Thu Nov 05 2020 joequant <joequant> 3.5.1-3.mga8
+ Revision: 1642733
- fix requires

* Tue Nov 03 2020 akien <akien> 3.5.1-2.mga8
+ Revision: 1642100
- rebuild

* Thu Oct 29 2020 joequant <joequant> 3.5.1-1.mga8
+ Revision: 1640485
- update deps
- fix dep
- update deps
- add tqdm
- update to 3.5.1

* Mon Jan 13 2020 wally <wally> 3.2.0-0.a0.1.mga8
+ Revision: 1477844
- imported package python-afdko

